summaryrefslogtreecommitdiff
path: root/tests/sort
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-07-26 02:59:37 +0000
committerJim Meyering <jim@meyering.net>1998-07-26 02:59:37 +0000
commit36ac5f15199475c0d0e5000a8883e1db4fa36fb8 (patch)
treefb48e33b856c2a40e602884211c485f590c926f3 /tests/sort
parentbde54af30f7689fb28f6d963f75b509a39bd9f59 (diff)
downloadcoreutils-36ac5f15199475c0d0e5000a8883e1db4fa36fb8.tar.xz
.
Diffstat (limited to 'tests/sort')
-rw-r--r--tests/sort/Makefile.am4
-rw-r--r--tests/sort/Makefile.in5
-rwxr-xr-xtests/sort/sort-tests36
3 files changed, 39 insertions, 6 deletions
diff --git a/tests/sort/Makefile.am b/tests/sort/Makefile.am
index 5fecc465b..e1c5b1dfe 100644
--- a/tests/sort/Makefile.am
+++ b/tests/sort/Makefile.am
@@ -19,7 +19,7 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
15c.X 15d.I 15d.X 15e.I 15e.X 16a.I 16a.X 17.I 17.X 18a.I 18a.X 18b.I 18b.X \
18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X 21a.I \
21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X 21g.I 21g.X \
-22a.I 22a.X 22b.I 22b.X
+22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
@@ -36,7 +36,7 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
15c.E 15d.O 15d.E 15e.O 15e.E 16a.O 16a.E 17.O 17.E 18a.O 18a.E 18b.O 18b.E \
18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E 21a.O \
21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E 21g.O 21g.E \
-22a.O 22a.E 22b.O 22b.E
+22a.O 22a.E 22b.O 22b.E no-file1.O no-file1.E o-no-file1.O o-no-file1.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/sort/Makefile.in b/tests/sort/Makefile.in
index ff83187ca..f7b180b7a 100644
--- a/tests/sort/Makefile.in
+++ b/tests/sort/Makefile.in
@@ -4,7 +4,6 @@
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.
-
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
@@ -105,7 +104,7 @@ n10b.X n11a.I n11a.X n11b.I n11b.X 01a.I 01a.X 02a.I 02a.X 02b.I 02b.X 02c.I \
15c.X 15d.I 15d.X 15e.I 15e.X 16a.I 16a.X 17.I 17.X 18a.I 18a.X 18b.I 18b.X \
18c.I 18c.X 18d.I 18d.X 18e.I 18e.X 19a.I 19a.X 19b.I 19b.X 20a.I 20a.X 21a.I \
21a.X 21b.I 21b.X 21c.I 21c.X 21d.I 21d.X 21e.I 21e.X 21f.I 21f.X 21g.I 21g.X \
-22a.I 22a.X 22b.I 22b.X
+22a.I 22a.X 22b.I 22b.X no-file1.X o-no-file1.X
run_gen = n1.O n1.E n2.O n2.E n3.O n3.E n4.O n4.E n5.O n5.E n6.O n6.E n7.O \
n7.E n8a.O n8a.E n8b.O n8b.E n9a.O n9a.E n9b.O n9b.E n10a.O n10a.E n10b.O \
n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
@@ -122,7 +121,7 @@ n10b.E n11a.O n11a.E n11b.O n11b.E 01a.O 01a.E 02a.O 02a.E 02b.O 02b.E 02c.O \
15c.E 15d.O 15d.E 15e.O 15e.E 16a.O 16a.E 17.O 17.E 18a.O 18a.E 18b.O 18b.E \
18c.O 18c.E 18d.O 18d.E 18e.O 18e.E 19a.O 19a.E 19b.O 19b.E 20a.O 20a.E 21a.O \
21a.E 21b.O 21b.E 21c.O 21c.E 21d.O 21d.E 21e.O 21e.E 21f.O 21f.E 21g.O 21g.E \
-22a.O 22a.E 22b.O 22b.E
+22a.O 22a.E 22b.O 22b.E no-file1.O no-file1.E o-no-file1.O o-no-file1.E
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
noinst_SCRIPTS = $x-tests
diff --git a/tests/sort/sort-tests b/tests/sort/sort-tests
index 1dda3cc6f..b556b40ee 100755
--- a/tests/sort/sort-tests
+++ b/tests/sort/sort-tests
@@ -1786,8 +1786,42 @@ else
esac
fi
test -s 22b.E || rm -f 22b.E
+$xx no-file > no-file1.O 2> no-file1.E
+code=$?
+if test $code != 2 ; then
+ $echo "Test no-file1 failed: ../../src/sort return code $code differs from expected value 2" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp no-file1.O $srcdir/no-file1.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed no-file1"; fi ;;
+ 1) $echo "Test no-file1 failed: files no-file1.O and $srcdir/no-file1.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test no-file1 may have failed." 1>&2;
+ $echo The command "cmp no-file1.O $srcdir/no-file1.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s no-file1.E || rm -f no-file1.E
+$xx -o no-such-file no-such-file > o-no-file1.O 2> o-no-file1.E
+code=$?
+if test $code != 2 ; then
+ $echo "Test o-no-file1 failed: ../../src/sort return code $code differs from expected value 2" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp o-no-file1.O $srcdir/o-no-file1.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE" ; then $echo "passed o-no-file1"; fi ;;
+ 1) $echo "Test o-no-file1 failed: files o-no-file1.O and $srcdir/o-no-file1.X differ" 1>&2;
+ errors=`expr $errors + 1` ;;
+ 2) $echo "Test o-no-file1 may have failed." 1>&2;
+ $echo The command "cmp o-no-file1.O $srcdir/o-no-file1.X" failed. 1>&2 ;
+ errors=`expr $errors + 1` ;;
+ esac
+fi
+test -s o-no-file1.E || rm -f o-no-file1.E
if test $errors = 0 ; then
- $echo Passed all 104 tests. 1>&2
+ $echo Passed all 106 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi